aboutsummaryrefslogtreecommitdiffstats
path: root/functest/ci/download_images.sh
diff options
context:
space:
mode:
authorTim Rozet <trozet@redhat.com>2017-08-22 15:16:56 -0400
committerCédric Ollivier <cedric.ollivier@orange.com>2017-08-23 11:00:50 +0200
commit2a0949afeafd19cc20d5dd3ee8ed7f18c786d5d9 (patch)
treea1469cab6383106c1ab278ab3729e1c34ee1f60f /functest/ci/download_images.sh
parentf44ec39992cd794deed624c48b1f5dc22ac91213 (diff)
Fixes image download script
Fixes Include: - Fix previous behavior where multiple copies of the same file would be downloaded as blah.qcow.1, blah.qcow.2 and not overwrite original file. - Fix issue where files were always downloaded, even when they were not different from server version. It temporarily stops downloading from marketplace.openbaton.org:8082 which is blocked by LF firewalls. wget options are tuned to avoid wasting jjobs time. Change-Id: I9191847a3f80045329c160e86655cc0a0e80831c Signed-off-by: Tim Rozet <trozet@redhat.com>
Diffstat (limited to 'functest/ci/download_images.sh')
-rw-r--r--functest/ci/download_images.sh10
1 files changed, 8 insertions, 2 deletions
diff --git a/functest/ci/download_images.sh b/functest/ci/download_images.sh
index 34ec33310..d92033351 100644
--- a/functest/ci/download_images.sh
+++ b/functest/ci/download_images.sh
@@ -1,12 +1,15 @@
#!/bin/bash
-cat << EOF | wget -i - -P ${1:-/home/opnfv/functest/images}
+set -ex
+
+wget_opts="-N --tries=1 --connect-timeout=30"
+
+cat << EOF | wget ${wget_opts} -i - -P ${1:-/home/opnfv/functest/images}
http://download.cirros-cloud.net/0.3.5/cirros-0.3.5-x86_64-disk.img
https://cloud-images.ubuntu.com/releases/14.04/release/ubuntu-14.04-server-cloudimg-amd64-disk1.img
https://cloud.centos.org/centos/7/images/CentOS-7-x86_64-GenericCloud.qcow2
https://cloud-images.ubuntu.com/releases/16.04/release/ubuntu-16.04-server-cloudimg-amd64-disk1.img
http://repository.cloudifysource.org/cloudify/4.0.1/sp-release/cloudify-manager-premium-4.0.1.qcow2
-http://marketplace.openbaton.org:8082/api/v1/images/52e2ccc0-1dce-4663-894d-28aab49323aa/img
http://cloud-images.ubuntu.com/trusty/current/trusty-server-cloudimg-amd64-disk1.img
http://download.cirros-cloud.net/0.3.5/cirros-0.3.5-x86_64-lxc.tar.gz
http://download.cirros-cloud.net/daily/20161201/cirros-d161201-aarch64-disk.img
@@ -14,4 +17,7 @@ http://download.cirros-cloud.net/daily/20161201/cirros-d161201-aarch64-initramfs
http://download.cirros-cloud.net/daily/20161201/cirros-d161201-aarch64-kernel
EOF
+# vnf requires also the next image which cannot be downloaded by jjobs
+# http://marketplace.openbaton.org:8082/api/v1/images/52e2ccc0-1dce-4663-894d-28aab49323aa/img
+
exit $?